<?php
/*
Plugin Name:	Add Button To Post
Plugin URI:		http://wpcos.com/
Description:	ソーシャルボタンを記事に追加するプラグイン。
Version:		1.1.2
Author:			wpcos
Author URI:		http://wpcos.com/
*/


/*  Copyright 2013 wpcos (email : )

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as
	published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

function add_button_to_post() {
	if ( !is_admin() && is_single() ) {
		$plugin_url = plugin_dir_url( __FILE__ );
		wp_enqueue_script( 'add-button-social', $plugin_url . 'js/add_button_social.js');
		wp_enqueue_style( 'add-button-to-post-css', $plugin_url . 'css/add_button_to_post.css');
		
		add_filter( 'the_content', 'add_contentbutton');
	}
}
add_action( 'template_redirect', 'add_button_to_post' );

function add_contentbutton( $content ) {
	
	if(get_option('add_cbutton_facebook')) {
	$facebook = '<div id="fb-root"></div><div class="fb-like button_show" data-href="'. get_permalink() .'" data-send="false" data-layout="button_count" data-width="450" data-show-faces="false"></div>';	
	}
	
	if(get_option('add_cbutton_twitter')) {
	$twitter = '<a href="https://twitter.com/share"><img src="' . plugin_dir_url( __FILE__ ) . 'images/twitter.png" class="button_show" style="border: none;" /></a>';
	}
		
	if(get_option('add_cbutton_googlebk')) {
	$google = '<a href="http://www.google.com/bookmarks/mark?op=edit&bkmk=' . get_permalink() . '&title=' . the_title("","",false) . '" target="_blank" title="Google Bookmarks に追加" rel="nofollow"><img src="http://www.google.co.jp/favicon.ico"  class="button_show" border="0" width="20" height="20" alt="Google Bookmarks に追加" style="border: none;" /></a>';
	}
	
	if(get_option('add_cbutton_hatena')) {
	$hatena = '<a href="http://b.hatena.ne.jp/entry/' . get_permalink() .'" class="hatena-bookmark-button button_a" data-hatena-bookmark-title="' . the_title("","",false) . '" data-hatena-bookmark-layout="simple" title="このエントリーをはてなブックマークに追加"><img src="http://b.st-hatena.com/images/entry-button/button-only.gif" class="button_show" alt="このエントリーをはてなブックマークに追加" width="20" height="20" style="border: none;" /></a><script type="text/javascript" src="http://b.st-hatena.com/js/bookmark_button.js" charset="utf-8" async="async"></script>';
	}
	
	if(get_option('add_cbutton_feed')) {
	$rss2 = '<a href="'. get_bloginfo('rss2_url') . '" title=""><img src="' . plugin_dir_url( __FILE__ ) . 'images/rss.png" class="button_show" style="border: none;" /></a>';
	}

	$add_buttons =	'<div class="add-button-post">' . 
		$facebook .
		$twitter . 
		$google . 
		$hatena . 
		$rss2 . 
		'</div>';
		
	if(get_option('add_cbutton_position') == 1) :
		return $add_buttons . $content;
	else :
		return $content . $add_buttons;
	endif;
}
?>
<?php
// 設定ページ登録
function add_contentbutton_plugin_menu() {
  add_options_page('Add Button To Post', 'Add Button To Post', 8, __FILE__, 'add_contentbutton_plugin_options');
}
add_action('admin_menu', 'add_contentbutton_plugin_menu');

// プラグイン有効化時の設定
function add_contentbutton_setting() {
	add_option('add_cbutton_facebook', 1, '', no);
	add_option('add_cbutton_twitter', 1, '', no);
	add_option('add_cbutton_hatena', 1, '', no);
	add_option('add_cbutton_googlebk', 1, '', no);
	add_option('add_cbutton_feed', 1, '', no);
	add_option('add_cbutton_position', 1, '', no);
}
register_activation_hook( __FILE__, 'add_contentbutton_setting');

// プラグイン無効化時の処理
function add_contentbutton_deactive() {
}
register_deactivation_hook( __FILE__, 'add_contentbutton_deactive');

// register設定
function admin_addbuttontopost_option() {
	register_setting('add-cbutton-group', 'add_cbutton_facebook');
	register_setting('add-cbutton-group', 'add_cbutton_twitter');
	register_setting('add-cbutton-group', 'add_cbutton_hatena');
	register_setting('add-cbutton-group', 'add_cbutton_googlebk');
	register_setting('add-cbutton-group', 'add_cbutton_feed');
	register_setting('add-cbutton-group', 'add_cbutton_position');
}
add_action( 'admin_init', 'admin_addbuttontopost_option' );

// 「設定ページ」表示設定
function add_contentbutton_plugin_options() {
	include 'add_button_to_post_setting.php';
}
?>